Package: groovy.contracts

## [Java] Annotation Type Contracted

- groovy.contracts.Contracted

-     @Target({ElementType.PACKAGE, ElementType.TYPE})
      @Retention(RetentionPolicy.RUNTIME)
      public @interface Contracted

  Package-level and class-level annotation indicating that the package is enabled for class-invariants, pre- and post-conditions.

  For example:

       @Contracted
       package my.package

       import groovy.contracts.*

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`